> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.querycontinuedrageventargs.md).

# QueryContinueDragEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [QueryContinueDrag](/api/wisej.web/general/control.md#querycontinuedrag) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class QueryContinueDragEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class QueryContinueDragEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) QueryContinueDragEventArgs(args)

Initializes a new instance of the [QueryContinueDragEventArgs](/api/wisej.web/general/control/wisej.web.querycontinuedrageventargs.md) class.

| Name     | Type                                                        | Description                             |
| -------- | ----------------------------------------------------------- | --------------------------------------- |
| **args** | [WisejEventArgs](/api/wisej.core/general/wisejeventargs.md) | The arguments received from the client. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Action

[DragAction](/api/wisej.web/enumerations/wisej.web.dragaction.md): Returns or sets the status of a drag-and-drop operation.

### ![](/files/hsR4ok3152WyAf8J2C1u) EscapePressed

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns if the user pressed the ESC key.

### ![](/files/hsR4ok3152WyAf8J2C1u) KeyState

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the current state of the SHIFT, CTRL, and ALT keys.

### ![](/files/hsR4ok3152WyAf8J2C1u) Modifiers

[Keys](/api/wisej.web/enumerations/wisej.web.keys.md): Returns a value indicating which of the modifier keys (SHIFT, CTRL, and ALT) is in a pressed state.

## Used By

| Name                                                                                                       | Description                                                                                                                                                                  |
| ---------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [QueryContinueDragEventHandler](/api/wisej.web/general/control/wisej.web.querycontinuedrageventhandler.md) | Represents the method that will handle the [QueryContinueDrag](/api/wisej.web/general/control.md#querycontinuedrag) event of a [Control](/api/wisej.web/general/control.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.querycontinuedrageventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
